Create API key

POST
/api/v1/api-key

Create a new API key.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Request Body

application/json

The API key name, description and expiration date.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/api-key" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "expiryDate": "2019-08-24T14:15:22Z",    "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9"  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "apiKey": "string"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}